Skip to content

Convert Floating IP to Reserve IP

PUT
/notebooks/{notebook_id}/reserve-ip/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/reserve-ip/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
notebook_id
required
integer
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

IP allocated successfully

Media typeapplication/json
object
code
integer
data
object
id
integer
ip_address
string format: ipv4
service_name
string
created_at
string format: date-time
status
string
reserved_by
object
id
integer
name
string
email
string format: email
username
string
service_type
string
service_id
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 51,
"ip_address": "216.48.190.238",
"service_name": "node-040915365151",
"created_at": "2025-04-09T11:43:36.706214Z",
"status": "Unavailable",
"reserved_by": {
"id": 4947,
"name": "xyz",
"email": "abc@e2enetworks.com",
"username": "abc@e2enetworks.com"
},
"service_type": "notebook",
"service_id": 8559
},
"errors": {},
"message": "IP 216.48.190.238 allocated successfully."
}